Subject: Re: g++ command, missing packages?
From: "Angelika Olsson" <[email-masked]>
To: [email-masked]
Cc: "Gerrit P. Haase" <[email-masked]>, [email-masked]
Date: Wed, 14 Jan 2004 17:59:58 +0100

[email-masked] writes:
>On Wed, 14 Jan 2004, Angelika Olsson wrote:
>
>> "Gerrit P. Haase" <[email-masked]> skriver:
>> >gcc-core & gcc-testsuite includes only the source & testsuite for the
>> >backend, you probably don't want to install it, so make the list to be:
>> >
>> >                 gcc
>> >                 gcc-ada
>> >                 gcc-g++
>> >                 gcc-g77
>> >                 gcc-gpc
>> >                 gcc-java
>> >                 gcc-objc
>> >
>> >The mingw components are automatically selected if you select the
>above.
>> >
>> >You'll also need the binutils package which includes the linker.
>>
>> OK. Thanks. Are the "gcc" catalog and the rest of them supposed to be on
>> the same level in the "release" catalog? I have the gcc-ada etc IN the
>gcc
>> catalog witch is IN the release catalog. Is this right?
>>
>> Thank you so much for all your help!
>> Angelika
>
>Angelika,
>
>When Gerrit says that things are "automatically selected", he assumes that
>you're using Cygwin's setup.exe to install the packages.  However, as
>you're talking about "catalogs", it looks like you're using ftp instead.
>Note that Cygwin's setup is the only recommended (read: supported) way of
>installing Cygwin packages -- any other method of installation is likely
>to leave you with a broken system unless you know *exactly* what you're
>doing.  If you do use setup.exe to install your Cygwin packages, please
>disregard this message.
>HTH,
>	Igor
>-- 
>				http://cs.nyu.edu/~pechtcha/
>      |\      _,,,---,,_		[email-masked]
>ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
>"I have since come to realize that being between your mentor and his route
>to the bathroom is a major career booster."  -- Patrick Naughton
>

OK, thank you for the warning. I'll use the setup.exe. 
Nice kitty :-)

Angelika

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/